inconsistent configuration for Redis as used by Dynflow
Description

Ohai,

in https://github.com/theforeman/puppet-foreman/blob/1d09876d7838bcd133add6266f4ba19b936ccb6c/manifests/config.pp#L14 we

default to use localhost/6 as the Redis DB for Dynflow, which gets written to /etc/foreman/settings.yml in 

https://github.com/theforeman/puppet-foreman/blob/1d09876d7838bcd133add6266f4ba19b936ccb6c/templates/settings.yaml.erb#L9

7

however, the service itself is configured to use localhost/0 in 

https://github.com/theforeman/foreman/blob/539373dfa5d85149a9dddb6e73bb378a23e134cb/extras/systemd/dynflow-sidekiq%40.s

ervice#L14-L15 as seen during service startup:

Jun 28 09:02:00 katello.example.com dynflow-sidekiq@worker-hosts-queue-1[55989]: 2023-06-28T09:02:

00.648Z pid=55989 tid=17vt INFO: Booting Sidekiq 6.3.1 with redis options {:url=>"redis://localhos

t:6379/0"}

 I have no idea if those two must match, or they are two different/unrelated uses of Redis inside Dynflow. But it seems odd and I

would expect to be able to configure it.

Associated revisions

Revision 0d91a7c9 - 10/26/2023 02:42 PM - Eric Helms

Fixes #36541 - Update Redis default databases for dynflow and cache

History

#1 - 10/26/2023 02:22 PM - Eric Helms

- Project changed from Installer to Foreman

#2 - 10/26/2023 02:42 PM - The Foreman Bot

- Fixed in Releases 3.9.0 added

#3 - 10/26/2023 03:00 PM - Eric Helms

- Status changed from New to Closed

Applied in changeset foreman|0d91a7c91cdf5551b5ddc124455c1641afb7c225.
